#Example - Chapter 1#

#download the data "example_chapter1.RData" to C:\regression\ 

# assign the working directory 
setwd ("C:/regression/")

# load "example_chapter1.RData" 
load ("example_chapter1.RData")


#"example_chapter1" is the name of the data frame


# Descriptive statistics 

# Method 1 - mean, median, standard deviation, variance, min, max, range
mean(example_chapter1$mental_distress)
median(example_chapter1$mental_distress)
var(example_chapter1$mental_distress)
sd(example_chapter1$mental_distress)
min(example_chapter1$mental_distress)
max(example_chapter1$mental_distress)

mean(example_chapter1$income)
median(example_chapter1$income)
var(example_chapter1$income)
sd(example_chapter1$income)
min(example_chapter1$income)
max(example_chapter1$income)

mean(example_chapter1$single)
median(example_chapter1$single)
var(example_chapter1$single)
sd(example_chapter1$single)
min(example_chapter1$single)
max(example_chapter1$single)

# Method 2- mean, median, standard deviation, variance, min, max, range 
# need a package "pastecs"
install.packages("pastecs")
library (pastecs)

stat.desc(example_chapter1)


# frequency
# need a package "descr"

install.packages("descr")

library(descr)

freq(example_chapter1$region, plot=FALSE)




#correlation between income and mental_disress

cor(cbind(example_chapter1$income, example_chapter1$mental_distress))


#simple regression between mental_distress and income

model1_chapter1 <- lm(mental_distress ~ income, data=example_chapter1)
summary (model1_chapter1)


#correlation between mental_distress and single
cor(cbind(example_chapter1$mental_distress, example_chapter1$single))


#Simple regression between mental_distress and single

model2.chapter1 <- lm(mental_distress ~ single, data=example_chapter1)
summary (model2.chapter1)





